{{- range $key, $http := .Values.backend.http -}}
{{- if $http.enabled -}}
---
{{include "http.deployment" (list $ $http)}}
---
{{include "default.poddisruptionbudget" (list $ $http)}}
---
{{include "default.verticalpodautoscaler" (list $ $http)}}
---
{{include "default.ciliumnetworkpolicy" (list $ $http)}}
---
{{include "default.serviceaccount" (list $ $http)}}
---
{{include "default.service" (list $ $http)}}
---
{{include "default.servicemonitor" (list $ $http)}}
---
{{include "statsd.service" (list $ $http)}}
---
{{include "http.scaled_object" (list $ $http)}}
{{ end }}
{{- end }}
---
{{ $admin_pyramid_params := dict "egg" "zsnl_admin_http" "servicePort" .Values.backend.http.admin.service.port }}
{{include "http.configmap" (list . .Values.backend.http.admin $admin_pyramid_params)}}
---
{{ $auth_pyramid_params := dict "egg" "zsnl_auth_http" "servicePort" .Values.backend.http.auth.service.port }}
{{include "http.configmap" (list . .Values.backend.http.auth $auth_pyramid_params)}}
---
{{ $cm_pyramid_params := dict "egg" "zsnl_case_management_http" "servicePort" .Values.backend.http.cm.service.port }}
{{include "http.configmap" (list . .Values.backend.http.cm $cm_pyramid_params)}}
---
{{ $communication_pyramid_params := dict "egg" "zsnl_communication_http" "servicePort" .Values.backend.http.communication.service.port }}
{{include "http.configmap" (list . .Values.backend.http.communication $communication_pyramid_params)}}
---
{{ $document_pyramid_params := dict "egg" "zsnl_document_http" "servicePort" .Values.backend.http.document.service.port }}
{{include "http.configmap" (list . .Values.backend.http.document $document_pyramid_params)}}
---
{{ $geo_pyramid_params := dict "egg" "zsnl_http_geo" "servicePort" .Values.backend.http.geo.service.port }}
{{include "http.configmap" (list . .Values.backend.http.geo $geo_pyramid_params)}}
---
{{ $style_pyramid_params := dict "egg" "zsnl_style_http" "servicePort" .Values.backend.http.style.service.port }}
{{include "http.configmap" (list . .Values.backend.http.style $style_pyramid_params)}}
---
{{ $jobs_params := dict "egg" "zsnl_jobs_http" "servicePort" .Values.backend.http.jobs.service.port }}
{{include "http.configmap" (list . .Values.backend.http.jobs $jobs_params)}}